Subject: string-width of … is 2 in CJK environments

From: SUNG TAE KIM <[email-masked]>
Date: Mon, 17 Jul 2023 01:59:15 +0900

I see no issue in changing default width of ambiguous characters to
narrow except variation selector blocks(FE00..FE0F, E0100..E01EF) and
private-use blocks(E000..F8FF, F0000..FFFFD, 100000..10FFFD) because
the characters in the former blocks are not standalone[1] and the
characters of the latter blocks are reserved for 3rd-party and
everything else seems standalone characters.

[1] https://en.wikipedia.org/wiki/Variation_Selectors_(Unicode_block)